| cpp_redis 4.0.0 cpp_redis is a C++11 Asynchronous Multi-Platform Lightweight Redis Client, with support for synchronous operations and pipelining.

Public Member Functions | List of all members
cpp_redis::logger_iface Class Referenceabstract

`#include <logger.hpp>`

Inheritance diagram for cpp_redis::logger_iface:

## Public Member Functions
| logger_iface (void)=default
| ctor
virtual | ~logger_iface (void)=default
| dtor
| logger_iface (const logger_iface &)=default
| copy ctor
logger_iface & | operator= (const logger_iface &)=default
| assignment operator
virtual void | debug (const std::string &msg, const std::string &file, std::size_t line)=0
virtual void | info (const std::string &msg, const std::string &file, std::size_t line)=0
virtual void | warn (const std::string &msg, const std::string &file, std::size_t line)=0
virtual void | error (const std::string &msg, const std::string &file, std::size_t line)=0

## Detailed Description

logger_iface should be inherited by any class intended to be used for logging

## Member Function Documentation

## ◆ debug()

virtual void cpp_redis::logger_iface::debug | ( | const std::string & | msg,
|  | const std::string & | file,
|  | std::size_t | line
| ) |  |
| pure virtual

debug logging

Parameters

  msg | message to be logged
  file | file from which the message is coming
  line | line in the file of the message

Implemented in cpp_redis::logger.

## ◆ error()

virtual void cpp_redis::logger_iface::error | ( | const std::string & | msg,
|  | const std::string & | file,
|  | std::size_t | line
| ) |  |
| pure virtual

error logging

Parameters

  msg | message to be logged
  file | file from which the message is coming
  line | line in the file of the message

Implemented in cpp_redis::logger.

## ◆ info()

virtual void cpp_redis::logger_iface::info | ( | const std::string & | msg,
|  | const std::string & | file,
|  | std::size_t | line
| ) |  |
| pure virtual

info logging

Parameters

  msg | message to be logged
  file | file from which the message is coming
  line | line in the file of the message

Implemented in cpp_redis::logger.

## ◆ warn()

virtual void cpp_redis::logger_iface::warn | ( | const std::string & | msg,
|  | const std::string & | file,
|  | std::size_t | line
| ) |  |
| pure virtual

warn logging

Parameters

  msg | message to be logged
  file | file from which the message is coming
  line | line in the file of the message

Implemented in cpp_redis::logger.

The documentation for this class was generated from the following file:

- includes/cpp_redis/misc/logger.hpp